Publication de PostgeSQL 9.4.4, 9.3.9, 9.2.13, 9.1.18, et 9.0.22

Une nouvelle mise à jour de PostgreSQL est disponible.
Cette version corrige principalement le problème de la dernière mise à jour qui était imparfaitement corrigé.
Elle concerne toutes les branches de PostgreSQL actuellement maintenues.
Les nouvelles versions de PostgreSQL à utiliser sont les versions 9.4.4, 9.3.9, 9.2.13, 9.1.18, et 9.0.22

Il est recommandé de mettre à jour les installations de PostgreSQL vers la dernière version mineure, et en particulier celles mises à jour avec l'une des 2 versions mineures précédentes dès que possible.
Les mises à jour étant cumulatives, il n'est pas nécessaire de passer par les versions intermédiaires pour les mises à jour mineures.

Communiqué officiel : http://www.postgresql.org/about/news/1592/ (EN)

Publication de PostgreSQL 9.4.3, 9.3.8, 9.2.12, 9.1.17, et 9.0.21

Une nouvelle mise à jour de PostgreSQL est disponible.
Cette version corrige principalement le bug sur les permissions de fichiers introduit lors de la mise à jour précédente.
Cette mise à jour concerne toutes les branches de PostgreSQL actuellement maintenues.
Les nouvelles versions de PostgreSQL à utiliser sont les versions 9.4.3, 9.3.8, 9.2.12, 9.1.17, et 9.0.21

Il est recommandé de mettre à jour les installations de PostgreSQL vers la dernière version mineure dès que possible.

Le support de la branche 9.0 devrait prendre fin en septembre 2015, il est donc recommandé d'envisager la migration des serveurs utilisant encore cette branche vers une branche plus récente de PostgreSQL d'ici là.

Communiqué officiel : http://www.postgresql.org/about/news/1590/ (EN)

Publication de PostgreSQL 9.4.2, 9.3.7, 9.2.11, 9.1.16, et 9.0.20

Une nouvelle mise à jour de PostgreSQL est disponible.
Cette version corrige plusieurs fonctionnalités et failles de sécurité.
En particulier, cette mise à jour corrige un problème critique sur les version 9.3 et 9.4, pouvant amener à une corruption de données dans certains cas, notamment dans les bases ayant un grand nombre de transactions (plus d'un million par heure).

Il est recommandé de prévoir la mise à jour des installations de PostgreSQL.
Cependant, cette mise à jour a introduit un bug critique affectant les droits sur les fichiers de la base.
Ce bug peut empêcher une base de démarrer correctement sans intervention humaine dans certains cas.
Une mise à jour corrective sera diffusée très prochainement.

Communiqué officiel : http://www.postgresql.org/about/news/1587/ (EN)
FAQ sur le problème de permissions : https://wiki.postgresql.org/wiki/May_2015_Fsync_Permissions_Bug (EN)

PGDay Paris

Le pgDay Paris vient de s'achever.

Cet événement a été un succès à plusieurs niveaux.
Bien que se déroulant durant les vacances scolaires, les participants étaient nombreux. Nous avons pris plaisir à discuter avec ceux qui sont venus nous voir, à la fois sur le stand Loxodata ou plus généralement durant l'évènement.

Les conférences étaient de qualité, sans que le niveau technique nécessaire soit trop élevé.
Nous espérons que la satisfaction aura été partagée.

pgDay Paris le 21 avril 2015

Le 21 avril prochain aura lieu le pgDay Paris.
Il s'agit d'une journée de conférences et d'échanges organisée par la communauté française de PostgreSQL.
L'évènement, ouvert à tous, se déroulera à Paris, au siège social de La Poste, 44 boulevard de Vaugirard, à côté de la Gare Montparnasse.

Site officiel de l'évènement: pgday.paris

Partenaire de cet évènement, Loxodata sera présent tout au long de cette journée.
Nous serons disponibles pour répondre à vos questions.
Nous nous réjouissons par avance de pouvoir échanger avec vous sur votre utilisation de PostgreSQL, vos besoins et vos attentes.

Loxodata est une société de conseil et d'expertise spécialisée dans les bases de données PostgreSQL.
Nos clients, institutionnels, PME ou grands comptes, nous font confiance pour les accompagner et les aider dans la mise en place et l'utilisation de PostgreSQL.
Présentes en Île-de-France et en Franche-Comté, nos équipes interviennent partout en France.

Publication de PostgreSQL 9.4.1, 9.3.6, 9.2.10, 9.1.15, et 9.0.19

Une importante mise à jour de PostgreSQL est disponible.
Cette version corrige plusieurs failles de sécurité, ainsi que des problèmes remontés depuis la dernière publication.
Cette mise à jour concerne toutes les branches de PostgreSQL actuellement maintenues.
Les nouvelles versions mineures à utiliser sont les versions 9.4.1, 9.3.6, 9.2.10, 9.1.15, et 9.0.19

Il est fortement recommandé de mettre à jour les installations de PostgreSQL dès que possible.

Communiqué officiel : http://www.postgresql.org/about/news/1569/ (EN)

Présentation rapide de slony1-ctl

Lors de la rencontre du "PostgreSQL User Group Paris" du 5 février, nous avons réalisé une présentation rapide des outils slony1-ctl.

Cette présentation avait pour objectif d'exposer la simplification apportée par ces outils dans l'administration de réplications slony et d'inviter les participants à utiliser ces outils.

Vous pouvez récupérer le diaporama de la présentation ci-dessous.

Si vous n'avez pas pu assister à la présentation, le diaporama est probablement insuffisant, mais nous envisageons de refaire une présentation plus détaillée lors de prochains évènements.

Fichier: 

Slony1-ctl 1.3.0 publié

L'équipe de développement de slony1-ctl vient d'annoncer la version 1.3.0.
slony1-ctl est un ensemble de scripts simplifiant l'administration quotidienne de réplications Slony.

La principale nouveauté est l'ajout de la compatibilité avec slony 2.2.
Les autres changements apportent une meilleure utilisation des variables et un nettoyage en profondeur des commentaires.

Si cette version ne présente pas de nouvelles fonctionnalités, elle a permis de nettoyer le code en vue des développements futurs.

La page du projet :
http://pgfoundry.org/projects/slony1-ctl/

Lien vers l'archive :
http://pgfoundry.org/frs/download.php/3838/slony1-ctl-REL1_3_0.tar.gz

Le projet slony1-ctl est actuellement maintenu par les équipes de Loxodata.

PostgreSQL 9.4.0 est publiée

Elle était attendue depuis de nombreux mois.
La communauté vient de décider qu'elle était prête.

PostgreSQL 9.4.0 a été officiellement annoncée aujourd'hui.

Vous pouvez retrouver le communiqué ici :
http://blog.postgresql.fr/index.php?post/2014/12/18/PostgreSQL-9.4.0

S'abonner à Loxodata RSS